- Qt 6.8
- Qt Core
- C++ Classes
- QString
- Qt 6.8.1 Reference Documentation

# Obsolete Members for QString

The following members of class QString are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.4)` qsizetype | count() const

## Static Public Members

`(deprecated in 6.0)` QString | fromUcs4(const uint *str, qsizetype size = -1)
`(deprecated in 6.0)` QString | fromUtf16(const ushort *str, qsizetype size = -1)

## Member Function Documentation

### `[deprecated in 6.4]` qsizetype QString::count() const

This function is deprecated since 6.4. We strongly advise against using it in new code.

Use size() or length() instead.

This function overloads count().

Same as size().

### `[static, deprecated in 6.0]` QString QString::fromUcs4(const uint *str, qsizetype size = -1)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use the `char32_t` overload instead.

### `[static, deprecated in 6.0]` QString QString::fromUtf16(const ushort *str, qsizetype size = -1)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use the `char16_t` overload instead.